summaryrefslogtreecommitdiff
path: root/packages/backend/src/server/api/mastodon/endpoints/status.ts (follow)
Commit message (Collapse)AuthorAgeFilesLines
* correctly render reblogs and quotes-with-CW for discord previewsHazelnoot2025-06-011-4/+20
|
* add missing "return reply" calls to async fastify routesHazelnoot2025-05-081-24/+24
| | | | Required, according to docs: https://fastify.dev/docs/latest/Reference/Routes/#async-await
* fix type errors in mastodon APIHazelnoot2025-04-301-3/+3
|
* hide sensitive content from Discord previewsHazelnoot2025-03-271-0/+6
|
* rename MastodonConverters.ts to matching naming schemeHazelnoot2025-03-271-2/+2
|
* normalize mastodon BAD_REQUEST errorsHazelnoot2025-03-271-25/+25
|
* de-duplicate mastodon API loggingHazelnoot2025-03-271-298/+165
|
* refactor mastodon API and preserve remote user agent for requestsHazelnoot2025-03-271-127/+130
|
* improve mastodon note conversion and use access checks in more places ↵Hazelnoot2025-02-081-58/+31
| | | | (resolves #509)
* hide restricted edit history from mastodon api (resolves #811)Hazelnoot2025-02-081-2/+5
|
* cleanup Mastodon API (resolves #804 and #865, partially resolves #492)Hazelnoot2025-02-081-206/+288
| | | | | | | | | | | | | * Fix TS errors and warnings * Fix ESLint errors and warnings * Fix property typos in various places * Fix property data conversion * Add missing entity properties * Normalize logging and reduce spam * Check for missing request parameters * Allow mastodon API to work with local debugging * Safer error handling * Fix quote-post detection
* add copyright text to all our filesdakkar2024-06-151-0/+5
|
* upd: add history endpoint, make sure all areas use new convertAccountMar0xy2023-10-291-1/+2
|
* fix: await all results on favourites and rebloggedMar0xy2023-10-291-2/+2
|
* upd: simplify importing of mastoconverter, fix bugMar0xy2023-10-291-2/+2
| | | | | Lets you import stuff into mastoconverter without needing to also import them everywhere else Fixes not being able to get statuses on accounts
* upd: change deps, fix a few bugs, update converterMar0xy2023-10-291-42/+25
| | | | | | | Fixes User and Notes count bug (transfem-org/Sharkey#113) Fixes build issues due to types (transfem-org/Sharkey#111) Return accounts and notes like Iceshrimp Use MFM class from Iceshrimp to fix HTML output for mastodon
* add: view previous versions of notesMar0xy2023-10-221-3/+3
| | | | Closes transfem-org/Sharkey#103
* upd: add MFM to HTML support and Mentions parsing to mastodon api (#33)Marie2023-10-011-17/+22
| | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | | * upd: attempt to turn MFM to html on mastodon * revert: recent change until better implementation later * chore: remove unused packages * Update docker.yml * upd: add MFM to HTML for timelines and status view * chore: lint * upd: megalodon resolve urls * upd: add spliting * test: local user mention * test: change local user url in mention * upd: change check * test: megalodon changes * upd: edit resolving of local users This is starting to drive me nuts * upd: remove the @ symbol in query * fix: make renderPerson return host instead of null for local * upd: change url for local user * upd: change limit * upd: add url to output * upd: add mastodon boolean * test: test different format * fix: test of different format * test: change up resolving * fix: forgot to provide url * upd: change lookup function a bit * test: substring * test: regex * upd: remove substr * test: new regexs * dirty test * test: one last attempt for today * upd: fix build error * upd: take input from iceshrimp dev * upd: parse remote statuses * upd: fix pleroma users misformatted urls * upd: add uri to normal user * fix: forgot to push updated types * fix: resolving broke * fix: html not converting correctly * fix: return default img if no banner * upd: swap out img used for no header, set fallback avatar * fix: html escaped & and ' symbols * upd: fix ' converting into 39; and get profile fields * upd: resolve fields on lookup --------- Co-authored-by: Amelia Yukii <123300075+Insert5StarName@users.noreply.github.com>
* add: source endpoint for editing through masto apiMar0xy2023-09-271-1/+16
|
* upd: return empty historyMar0xy2023-09-271-1/+1
|
* fix: not being able to only send emojisMar0xy2023-09-261-1/+1
|
* fix: checksMar0xy2023-09-251-1/+1
|
* upd: actually use bodyMar0xy2023-09-251-1/+1
|
* upd: convert masto ids to sharkeyid on mediaMar0xy2023-09-251-0/+6
|
* add: edit support on masto apiMar0xy2023-09-251-0/+15
|
* upd: move media put endpoint into main api fileMar0xy2023-09-251-15/+0
|
* fix: adding description not working on mediaMar0xy2023-09-251-1/+1
|
* chore: use this.baseUrl instead of BASE_URLMar0xy2023-09-251-3/+3
|
* fix: megalodon reblogged and favourited user info, add createdAt to noteMar0xy2023-09-251-2/+2
|
* fix: text min length is 1 (thanks mk)Mar0xy2023-09-251-1/+1
|
* upd: apply host to alot of fieldsMar0xy2023-09-251-1/+1
|
* upd: replace star with heartMar0xy2023-09-251-2/+2
|
* fix: text is undefined in masto status apiMar0xy2023-09-251-1/+1
|
* Revert "test: check old megalodon version"Mar0xy2023-09-251-1/+1
| | | | This reverts commit 89eea5df5286a9fdf2976d41cdbaf0c40dd19b62.
* test: check old megalodon versionMar0xy2023-09-251-1/+1
|
* chore: lint and update package nameMar0xy2023-09-241-369/+362
|
* upd: complete status endpoint for mastoMar0xy2023-09-241-0/+281
|
* add: status get endpoints to masto apiMar0xy2023-09-241-0/+126